Bug 173233 - FPE (divide by zero) in util.c (fixed in upstream CVS)
FPE (divide by zero) in util.c (fixed in upstream CVS)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 09:24 EST by Tom London
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-17 17:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-11-15 09:24:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
This version has a nasty divide by zero problem that appears fixed in upstream CVS.

2005-11-14  Danny Kukawka  <danny.kukawka@web.de>

	* hald/util.c: (util_compute_time_remaining): fixed multiple 'devision
	by zero' bugs which could happen, if calculate the 'remaining time'  
	based on time and nothing is changed on battery. 

Version-Release number of selected component (if applicable):
hal-0.5.4.cvs20051111-1

How reproducible:
Always

Steps to Reproduce:
1. boot
2. wait for multiple battery events to occur within one second
3. hal crashes silently with FPE
  

Additional info:

Note You need to log in before you can comment on or make changes to this bug.